#include <main.h>

static uint32_t	quarzms; // Peripheriegeschwindigkeit in KHZ
static uint32_t quarzus;

void wait_timer1_init(uint32_t gquarz)
{
 // Timer 1 fr Waitfunktion
  T1CTCR=0x00; // Timermode
  quarzms=gquarz;
  quarzus=gquarz/1000;
}

void wait_ms(uint16_t warten)
{uint32_t wart;
  // Timerintialisierung
  T1TCR=0x2; // Timer Reset
  T1TCR=0x1; // Timer startet
  wart=warten*quarzms;
  while(T1TC<wart)
   {
   WDFEED=0xAA;  // Watchdog-Reset
   WDFEED=0x55;
   }
  T1TCR=0x0; // Timer stoppen
}

void wait_us(uint16_t warten)
{uint32_t wart;
  // Timerintialisierung
  T1TCR=0x2; // Timer Reset
  T1TCR=0x1; // Timer startet
  wart=warten*quarzus;
  while(T1TC<wart)
   {
   WDFEED=0xAA;  // Watchdog-Reset
   WDFEED=0x55;
   }
  T1TCR=0x0; // Timer stoppen
}